For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • PUT[BETA] Create or update a milestone progression
      • DEL[BETA] Delete a milestone progression
      • POST[BETA] Resume paused milestone progressions
      • PUT[BETA] Change a release plan safeguard
      • DEL[BETA] Delete a release plan safeguard
13.5kProductPricingSign inStart free trialBook a demo
Admin APIRelease Templates

[BETA] Create or update a milestone progression

||View as Markdown|
PUT
https://app.unleash-instance.example.com/api/admin/projects/:project/features/:featureName/environments/:environment/progressions/:id
PUT
/api/admin/projects/:project/features/:featureName/environments/:environment/progressions/:id
$curl -X PUT https://app.unleash-instance.example.com/api/admin/projects/project/features/featureName/environments/environment/progressions/id \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "targetMilestone": "11K7NXD655W7R89659K58RE07B",
> "transitionCondition": {
> "intervalMinutes": 30
> }
>}'
1{
2 "sourceMilestone": "milestone-1",
3 "targetMilestone": "milestone-2",
4 "transitionCondition": {
5 "intervalMinutes": 30
6 }
7}

Enterprise feature

[BETA] This API is in beta state, which means it may change or be removed in the future.

Creates or updates a milestone progression by source milestone ID. If a progression with the given source milestone exists, it will be updated; otherwise, a new one will be created.

Was this page helpful?
Previous

[BETA] Delete a milestone progression

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

projectstringRequired
featureNamestringRequired
environmentstringRequired
idstringRequired

Request

#/components/schemas/changeMilestoneProgressionSchema

targetMilestonestringRequired
The ID of the target milestone
transitionConditionobjectRequired
The condition configuration for the transition

Response

#/components/schemas/milestoneProgressionSchema

sourceMilestonestring
The ID of the source milestone
targetMilestonestring
The ID of the target milestone
transitionConditionobject
The condition that triggers the transition

Errors

401
Unauthorized Error
403
Forbidden Error